summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-09-16 06:02:28 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-09-16 06:02:28 +0000
commitb95056a257cea8b04cdea8d7f58777627fba7e80 (patch)
tree6baaed73fe3f500d050943f613a99e058928958e /dev-python
parent8cb247e1e8406a760f04cb613e16e3f70d488229 (diff)
downloadbaldeagleos-repo-b95056a257cea8b04cdea8d7f58777627fba7e80.tar.gz
baldeagleos-repo-b95056a257cea8b04cdea8d7f58777627fba7e80.tar.xz
baldeagleos-repo-b95056a257cea8b04cdea8d7f58777627fba7e80.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/cvxopt/cvxopt-1.3.2.ebuild4
-rw-r--r--dev-python/emoji/Manifest2
-rw-r--r--dev-python/emoji/emoji-2.11.0.ebuild25
-rw-r--r--dev-python/emoji/emoji-2.11.1.ebuild25
-rw-r--r--dev-python/emoji/emoji-2.12.1.ebuild2
-rw-r--r--dev-python/ensurepip-setuptools/Manifest2
-rw-r--r--dev-python/ensurepip-setuptools/ensurepip-setuptools-74.1.3.ebuild24
-rw-r--r--dev-python/ensurepip-setuptools/ensurepip-setuptools-75.0.0.ebuild24
-rw-r--r--dev-python/idna/Manifest1
-rw-r--r--dev-python/idna/idna-3.10.ebuild22
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/nanobind/Manifest1
-rw-r--r--dev-python/nanobind/files/nanobind-2.0.0-parallel-build.patch7
-rw-r--r--dev-python/nanobind/nanobind-2.0.0-r1.ebuild6
-rw-r--r--dev-python/nanobind/nanobind-2.1.0.ebuild74
-rw-r--r--dev-python/orderly-set/Manifest1
-rw-r--r--dev-python/orderly-set/orderly-set-5.2.3.ebuild29
-rw-r--r--dev-python/paramiko/Manifest1
-rw-r--r--dev-python/paramiko/paramiko-3.5.0.ebuild72
-rw-r--r--dev-python/psycopg/Manifest1
-rw-r--r--dev-python/psycopg/psycopg-3.2.2.ebuild119
-rw-r--r--dev-python/pypiserver/Manifest1
-rw-r--r--dev-python/pypiserver/pypiserver-2.2.0.ebuild77
-rw-r--r--dev-python/pysol-cards/Manifest1
-rw-r--r--dev-python/pysol-cards/pysol-cards-0.18.0.ebuild25
-rw-r--r--dev-python/pysubs2/Manifest1
-rw-r--r--dev-python/pysubs2/pysubs2-1.7.3.ebuild21
-rw-r--r--dev-python/python-tests/python-tests-3.10.15.ebuild2
-rw-r--r--dev-python/python-tests/python-tests-3.11.10.ebuild2
-rw-r--r--dev-python/python-tests/python-tests-3.12.6.ebuild2
-rw-r--r--dev-python/setuptools/Manifest2
-rw-r--r--dev-python/setuptools/setuptools-74.1.3.ebuild126
-rw-r--r--dev-python/setuptools/setuptools-75.0.0.ebuild128
36 files changed, 792 insertions, 67 deletions
diff --git a/dev-python/cvxopt/cvxopt-1.3.2.ebuild b/dev-python/cvxopt/cvxopt-1.3.2.ebuild
index 2f5d141bb36d..1bfa2cc516a5 100644
--- a/dev-python/cvxopt/cvxopt-1.3.2.ebuild
+++ b/dev-python/cvxopt/cvxopt-1.3.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -23,7 +23,7 @@ SRC_URI="
LICENSE="GPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="+dsdp examples fftw +glpk gsl"
DEPEND="
diff --git a/dev-python/emoji/Manifest b/dev-python/emoji/Manifest
index 2fc27d20084c..dbf7ddc942a8 100644
--- a/dev-python/emoji/Manifest
+++ b/dev-python/emoji/Manifest
@@ -1,3 +1 @@
-DIST emoji-2.11.0.gh.tar.gz 502049 BLAKE2B fe5ecfd85cbdf4812818538c601ae42e7fe50ab01da95af6f1a1f68cf11b9e4dfe8e66a191990f28bb92f5f21807c4fab80035488debe7cf90dedc6e132be189 SHA512 2b8263dcb84a73a54c17b63a878d2f6446b41742fd3148d0be6124acc176c97a6b5cdae72bd9bb22b7a384896a8f875f7dd6962cc5bd72700f9b7e5d568c7fd4
-DIST emoji-2.11.1.gh.tar.gz 502076 BLAKE2B 96ceee9822670ffafcd283535c1af89c7fa71f386ff62ed3417f9794298f5310aeebe75a71c5b11f00b0159cc1c4e111bd9b7701d704ce0b02ee98739c0eb3d4 SHA512 c200e3b143569ba6890b5c83721d9c8fbd76288e05e8d8dad02b853adc79fab5886a6a9606fd361430c9cd42689c24f05583bbe1c4aeff520fff4591aa443af5
DIST emoji-2.12.1.gh.tar.gz 503707 BLAKE2B 75d81d99cbb5c89b3f63ccee57f20e13cae4b3d1bda5257c2f5382a6595d62c1159ecd51862b96ff6a5d9c920dfece6346d1ed36c2a6567d7c50eed69c5ac373 SHA512 98c1ecf986c7623122c9d101c82f7667d30b58b6e45c834f2644bae1659c67755dd9a4f025111b74508267861ad155131d4aefb8f951566f6950e64e7d3a3d24
diff --git a/dev-python/emoji/emoji-2.11.0.ebuild b/dev-python/emoji/emoji-2.11.0.ebuild
deleted file mode 100644
index 8703352a4b2a..000000000000
--- a/dev-python/emoji/emoji-2.11.0.ebuild
+++ /dev/null
@@ -1,25 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-inherit distutils-r1
-
-DESCRIPTION="Emoji for Python"
-HOMEPAGE="
- https://github.com/carpedm20/emoji/
- https://pypi.org/project/emoji/
-"
-SRC_URI="
- https://github.com/carpedm20/emoji/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64"
-
-distutils_enable_tests pytest
diff --git a/dev-python/emoji/emoji-2.11.1.ebuild b/dev-python/emoji/emoji-2.11.1.ebuild
deleted file mode 100644
index 8703352a4b2a..000000000000
--- a/dev-python/emoji/emoji-2.11.1.ebuild
+++ /dev/null
@@ -1,25 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-inherit distutils-r1
-
-DESCRIPTION="Emoji for Python"
-HOMEPAGE="
- https://github.com/carpedm20/emoji/
- https://pypi.org/project/emoji/
-"
-SRC_URI="
- https://github.com/carpedm20/emoji/archive/v${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64"
-
-distutils_enable_tests pytest
diff --git a/dev-python/emoji/emoji-2.12.1.ebuild b/dev-python/emoji/emoji-2.12.1.ebuild
index 79b165237e2b..b684fdf2b04b 100644
--- a/dev-python/emoji/emoji-2.12.1.ebuild
+++ b/dev-python/emoji/emoji-2.12.1.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm arm64 ~riscv ~x86"
RDEPEND="
>=dev-python/typing-extensions-4.7.0[${PYTHON_USEDEP}]
diff --git a/dev-python/ensurepip-setuptools/Manifest b/dev-python/ensurepip-setuptools/Manifest
index 3b110444691b..ab18e2732d0b 100644
--- a/dev-python/ensurepip-setuptools/Manifest
+++ b/dev-python/ensurepip-setuptools/Manifest
@@ -1,2 +1,4 @@
DIST setuptools-73.0.1-py3-none-any.whl 2346588 BLAKE2B 74c84539d1c3592aca5678ecf3c7c71c57fffa877fc5dcc42701c7b2f58613d3767ca10b190c37b30dc24ca9a6b67b76e1e70f63b188d9228f1b73b17f4a3198 SHA512 cef43928c8eebc673ca1befb1df1dc230eab8cf10fc66b06f02a0d459e78701457b8024bdc4ac33082e85e07dd5a63e031fcbf13e0b94d6bc9ccc90931060841
DIST setuptools-74.1.2-py3-none-any.whl 1262071 BLAKE2B 4cee06ae5a71241deda83ecdd3a6ee806d67dddac56cc3f19cf58e6b7e9e5c9e441187a82d17674fa91d172496291ad9482e1b458e1f0968cb62ece3f62278bd SHA512 90eaf02616d82b22a69310d772f6737f4ba807ad7d53e371235fcf4f21c4034ea78d4a5ff0e2e93fd0623b0adc43208f427df91551d4a9bb3c94e08d1ae8394f
+DIST setuptools-74.1.3-py3-none-any.whl 1262070 BLAKE2B 967e581556dee96b068a762605e340a7dbdb7eedb62fc2224fa3cbff8c29c6dd8966831bf4d2c4714401c8beca6ff81ba64823ec55ce592ff3bf10ddee370975 SHA512 8dd7f782ccbfcef04462904f3211569a2ca0be7f370a75cd1d77b77c1f38fcfbea8fd401646bbf436c093ad4573e32f0a0eef030644df48817fde43ae59ce0aa
+DIST setuptools-75.0.0-py3-none-any.whl 1248237 BLAKE2B 379ad1a71a93bd4f8eb11fa590d64ab33b2f779facf803ac7ef385ad6730e464702a437bcb9abcf57948ab6f9285faf57f7e3776478030888c0380e54ebcff7a SHA512 088ac23b7da60859cc518bb625e5dc92df233e2d5c2b9e7b7ae961a01cede7e0c3cd5289868242e1b8026b1644e6149bb9efece108bdea61dfbf2c64258c7884
diff --git a/dev-python/ensurepip-setuptools/ensurepip-setuptools-74.1.3.ebuild b/dev-python/ensurepip-setuptools/ensurepip-setuptools-74.1.3.ebuild
new file mode 100644
index 000000000000..c48c6a133f1f
--- /dev/null
+++ b/dev-python/ensurepip-setuptools/ensurepip-setuptools-74.1.3.ebuild
@@ -0,0 +1,24 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit pypi
+
+DESCRIPTION="Shared setuptools wheel for ensurepip Python module"
+HOMEPAGE="https://pypi.org/project/setuptools/"
+SRC_URI="$(pypi_wheel_url "${PN#ensurepip-}")"
+S=${DISTDIR}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ !<dev-python/ensurepip-wheels-100
+"
+
+src_install() {
+ insinto /usr/lib/python/ensurepip
+ doins "${A}"
+}
diff --git a/dev-python/ensurepip-setuptools/ensurepip-setuptools-75.0.0.ebuild b/dev-python/ensurepip-setuptools/ensurepip-setuptools-75.0.0.ebuild
new file mode 100644
index 000000000000..c48c6a133f1f
--- /dev/null
+++ b/dev-python/ensurepip-setuptools/ensurepip-setuptools-75.0.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit pypi
+
+DESCRIPTION="Shared setuptools wheel for ensurepip Python module"
+HOMEPAGE="https://pypi.org/project/setuptools/"
+SRC_URI="$(pypi_wheel_url "${PN#ensurepip-}")"
+S=${DISTDIR}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ !<dev-python/ensurepip-wheels-100
+"
+
+src_install() {
+ insinto /usr/lib/python/ensurepip
+ doins "${A}"
+}
diff --git a/dev-python/idna/Manifest b/dev-python/idna/Manifest
index 1c45df586a23..3965bf89bd9a 100644
--- a/dev-python/idna/Manifest
+++ b/dev-python/idna/Manifest
@@ -1 +1,2 @@
+DIST idna-3.10.tar.gz 190490 BLAKE2B 887d92fd54b2f55b33856fcb9af3d6541a8cb28b9d49d1ee621dac7e1597ad5d2370000d6bfd895d5e515b4b6837949b5085fb391f283c375ffe4529072a8dd6 SHA512 bdc00fb42c48a34ec3df91b0592fe41785061f891a252ce82f168d99089a52e8e5bc7a823794f61e7915c0f691d911ed8b3bf7aecf3e2aeb3fc85da4ef35f47e
DIST idna-3.8.tar.gz 189467 BLAKE2B e70c754f3a76807d2df9df09b19ec9ea8e98de19f81741dfbb2f828ebd0ac6385e2c0d2fab83206b4c592b40f0b785ed0078eafc0d0339cd9ff53440051c511d SHA512 5ea57a0e21621722375b8b3b90831c1e367f738d7d96d27143990d25ef26d374bcd306956a785ebe6283445642c39b8f655ab4de4b407055e350d11012acdb62
diff --git a/dev-python/idna/idna-3.10.ebuild b/dev-python/idna/idna-3.10.ebuild
new file mode 100644
index 000000000000..5185a336857a
--- /dev/null
+++ b/dev-python/idna/idna-3.10.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Internationalized Domain Names in Applications (IDNA)"
+HOMEPAGE="
+ https://github.com/kjd/idna/
+ https://pypi.org/project/idna/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+distutils_enable_tests unittest
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index 37a64204a00a..a11d7c268c91 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1,3 +1 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
-EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9b3521c5721afa49a58e0c35267f7d82bb56bd7e1d6d3152be0d36cd220180a526cb20b90b1113fbf0fff4a512137570f0b3bcf864498b7b7cc00403cb61ca27 SHA512 16d311400bf84a5f04e15f3da4b68b2810e4b005009f4d03dc8a487176dfc294403c976c412c83dcfa8084a49ef7b7d5389b43fb2ba446ce107ce4595e3558c6
-MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
new file mode 100644
index 000000000000..637368d2f237
--- /dev/null
+++ b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
@@ -0,0 +1,13 @@
+Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
+
+--- a/setup.py
++++ b/setup.py
+@@ -18,7 +18,7 @@ setup(
+ author_email='michal.danilak@gmail.com',
+ url='https://github.com/Mimino666/langdetect',
+ keywords='language detection library',
+- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
++ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
+ include_package_data=True,
+ install_requires=['six'],
+ license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index c09b7356f549..630fe63c6f53 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022 Gentoo Authors
+# Copyright 2022-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,4 +19,6 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
+
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 020e07f2a3dd..c0f74ac187e2 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,11 +2,9 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>marcin.deranek@slonko.net</email>
- <name>Marcin Deranek</name>
+ <email>pastalian46@gmail.com</email>
+ <name>Takuya Wakazono</name>
</maintainer>
- <upstream>
- <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
- </upstream>
- <origin>slonko-overlay</origin>
+
+ <origin>gentoo-guru-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/nanobind/Manifest b/dev-python/nanobind/Manifest
index 779583f66f8b..79f670abf956 100644
--- a/dev-python/nanobind/Manifest
+++ b/dev-python/nanobind/Manifest
@@ -1 +1,2 @@
DIST nanobind-2.0.0.gh.tar.gz 842956 BLAKE2B 82a2b44d904a2bfc88538d3bac6d5d96b473bcca2ff98647f9edd656a1d20fae324fcf334b848f861723aae666690b6b17ee626dede89bac6b140e9ef8cd01fe SHA512 1bafbf6b18c9b65b5ecb3bbf23a164b17ee52ef4f053a00de986a35e17e662422b54cea1c145f83ee8a3973bba383a949b3c305dcfecfbf139ab90006d42935e
+DIST nanobind-2.1.0.gh.tar.gz 850714 BLAKE2B 5686c0b204904d22e306338f0cf62f0ac306165510f94bfe94d6a36f8294ea108f2f195c67b5314476e9bc3083292c69974c52889015e2ac6cb996a0fbcfbaff SHA512 1aaca50f8253b1b831e1d7092cfb238a020f72b7ae9830b04ecaff519a38dbe1396f79aac3098d942f30e7bb372862a2473459adbab898f17683ee488a0dad87
diff --git a/dev-python/nanobind/files/nanobind-2.0.0-parallel-build.patch b/dev-python/nanobind/files/nanobind-2.0.0-parallel-build.patch
new file mode 100644
index 000000000000..d64c7383b976
--- /dev/null
+++ b/dev-python/nanobind/files/nanobind-2.0.0-parallel-build.patch
@@ -0,0 +1,7 @@
+diff --git a/tests/CMakeLists.txt b/tests/CMakeLists.txt
+index 62f2bdb..e932cca 100644
+--- a/tests/CMakeLists.txt
++++ b/tests/CMakeLists.txt
+@@ -75 +75 @@ nanobind_add_stub(
+- DEPENDS py_stub_test.py
++ DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/py_stub_test.py
diff --git a/dev-python/nanobind/nanobind-2.0.0-r1.ebuild b/dev-python/nanobind/nanobind-2.0.0-r1.ebuild
index d248c795f0a9..c6048a6c3b89 100644
--- a/dev-python/nanobind/nanobind-2.0.0-r1.ebuild
+++ b/dev-python/nanobind/nanobind-2.0.0-r1.ebuild
@@ -34,11 +34,17 @@ EPYTEST_XDIST=1
distutils_enable_tests pytest
python_prepare_all() {
+ local PATCHES=(
+ # simplified version of https://github.com/wjakob/nanobind/pull/718
+ "${FILESDIR}/${PN}-2.0.0-parallel-build.patch"
+ )
+
# This test assumes in-source build for the .pyi stubs.
# (Hack because EPYTEST_IGNORE doesn't work with the paths it collects(?))
echo > tests/test_stubs.py || die
cmake_src_prepare
+ PATCHES=()
distutils-r1_python_prepare_all
}
diff --git a/dev-python/nanobind/nanobind-2.1.0.ebuild b/dev-python/nanobind/nanobind-2.1.0.ebuild
new file mode 100644
index 000000000000..f2e73fe5acc5
--- /dev/null
+++ b/dev-python/nanobind/nanobind-2.1.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=scikit-build-core
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit cmake distutils-r1
+
+DESCRIPTION="Tiny and efficient C++/Python bindings"
+HOMEPAGE="
+ https://github.com/wjakob/nanobind
+ https://pypi.org/project/nanobind/
+"
+SRC_URI="
+ https://github.com/wjakob/nanobind/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~riscv"
+
+DEPEND="
+ >=dev-cpp/robin-map-1.3.0
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ local PATCHES=(
+ # simplified version of https://github.com/wjakob/nanobind/pull/718
+ "${FILESDIR}/${PN}-2.0.0-parallel-build.patch"
+ )
+
+ cmake_src_prepare
+ PATCHES=()
+ distutils-r1_src_prepare
+}
+
+src_configure() {
+ # XXX: nanobind installs a CMake config file which by default passes -Os
+ # We currently patch around it in dev-python/pyopencl. In future, we
+ # may want to add some override with Gentoo specific environment vars.
+ DISTUTILS_ARGS=(
+ -DNB_CREATE_INSTALL_RULES=ON
+ -DNB_USE_SUBMODULE_DEPS=OFF
+ -DNB_TEST=OFF
+ )
+}
+
+python_test() {
+ local mycmakeargs=(
+ -DNB_CREATE_INSTALL_RULES=OFF
+ -DNB_USE_SUBMODULE_DEPS=OFF
+ -DNB_TEST=ON
+ )
+ cmake_src_configure
+ cmake_src_compile
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ cd "${BUILD_DIR}/tests" || die
+ epytest
+}
diff --git a/dev-python/orderly-set/Manifest b/dev-python/orderly-set/Manifest
index 358b3bb944d6..66df53048a91 100644
--- a/dev-python/orderly-set/Manifest
+++ b/dev-python/orderly-set/Manifest
@@ -1 +1,2 @@
DIST orderly-set-5.2.2.gh.tar.gz 21460 BLAKE2B 5660d7550d5c79351fcc66e611ba776d6340d0fc1f3a5344f308cbc00a7b2c47045a1cfe8c6ac76c7976a65b17953362e91d60d87a7fbb02f36a5d67f074dfe9 SHA512 d480677c04f32e69cc9361dff383765fe2c9df971ad77cdcbab3b650a0bad27b9bd99144cd406d5185440d674bc838acb1c2ba3a4b115fcff2eba34c19589637
+DIST orderly_set-5.2.3.tar.gz 19698 BLAKE2B 32366c106f0cd71e80f4c4d2278f6590f497ad70962eec96bb67f1cceefed5bb401408093416c8a7adc97eed333cdc657e542608581e11064581cb3d6fe613c7 SHA512 6c64086de55c6152056d8f92e35273865bc94616b90e1c56f4c88e94d6e9d39759f76d4ff57000d87abccb4ddc8faf441a71253d2b94bb9718d35b7a95342ddb
diff --git a/dev-python/orderly-set/orderly-set-5.2.3.ebuild b/dev-python/orderly-set/orderly-set-5.2.3.ebuild
new file mode 100644
index 000000000000..95a58e0e7fca
--- /dev/null
+++ b/dev-python/orderly-set/orderly-set-5.2.3.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A package containing multiple implementations of Ordered Set"
+HOMEPAGE="
+ https://github.com/seperman/orderly-set/
+ https://pypi.org/project/orderly-set/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unconditional mypy dep for a test that is not even run
+ # https://github.com/seperman/orderly-set/pull/5
+ sed -i -e '/mypy\.api/d' tests/*.py || die
+}
diff --git a/dev-python/paramiko/Manifest b/dev-python/paramiko/Manifest
index e53522899f9b..b175d2cca4b6 100644
--- a/dev-python/paramiko/Manifest
+++ b/dev-python/paramiko/Manifest
@@ -1 +1,2 @@
DIST paramiko-3.4.1.gh.tar.gz 375155 BLAKE2B 576cc5b23010eaf46eec7dc98e5930c134948038b5588a2cf198289f11a9ab33978e582f273e39d3154fa5fa48109a9bb493745c658e2a2082af055a8f0bc80e SHA512 99026c1045a7f9f4aa7484d089a94dfff141c5d8c565d0bfb3f5c9b1387d963b8f8b3718a79668b1cfe1ec581ab3cb76af787f8011d254aa14c00a5496a805eb
+DIST paramiko-3.5.0.gh.tar.gz 376242 BLAKE2B 3080669e8b0d60e5b2e5aea390dc4f5f8d19ff32441d13b4e319892d1566f3fc76df714c0a063932e5077de08cd66ccf1140ac96bcb6e1c8e801c1377923aece SHA512 933a63c511fcd0a5a159faf2a9dfddbb44368ba923ea892aa1bf8dbe296777f3caedff27560113cfb15576812b994a59007caac8f297b24e70c79505f88c7d9f
diff --git a/dev-python/paramiko/paramiko-3.5.0.ebuild b/dev-python/paramiko/paramiko-3.5.0.ebuild
new file mode 100644
index 000000000000..543de680bce6
--- /dev/null
+++ b/dev-python/paramiko/paramiko-3.5.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="SSH2 protocol library"
+HOMEPAGE="
+ https://www.paramiko.org/
+ https://github.com/paramiko/paramiko/
+ https://pypi.org/project/paramiko/
+"
+SRC_URI="
+ https://github.com/paramiko/paramiko/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="examples server"
+
+RDEPEND="
+ >=dev-python/bcrypt-3.1.3[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-2.5[${PYTHON_USEDEP}]
+ >=dev-python/pynacl-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # upstream doesn't really maintain the gssapi support
+ tests/test_gssapi.py
+ tests/test_kex_gss.py
+ tests/test_ssh_gss.py
+)
+
+src_prepare() {
+ local PATCHES=(
+ "${FILESDIR}/${PN}-3.2.0-nih-test-deps.patch"
+ )
+
+ if ! use server; then
+ PATCHES+=( "${FILESDIR}/${PN}-3.2.0-disable-server.patch" )
+ fi
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p rerunfailures --reruns=5
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use examples; then
+ docinto examples
+ dodoc -r demos/*
+ fi
+}
diff --git a/dev-python/psycopg/Manifest b/dev-python/psycopg/Manifest
index 8ec9b3f7ed61..ea63b81e16e4 100644
--- a/dev-python/psycopg/Manifest
+++ b/dev-python/psycopg/Manifest
@@ -1,5 +1,6 @@
DIST psycopg-3.1.19.gh.tar.gz 507073 BLAKE2B c10e2ba83f4a3bb0646d86c0f1311ae43e3fafbf9eb8ae91f8a77941dd2ef21d22c5fdeca724399bbcf5f7f010f5a3b0f78979720efec8f25613abbe568dabc9 SHA512 a7d02570632a28080ffd99fa492c2f1af623e7ca55e57e8c5d4664aff4d033ae85fc21cfbb1f85a90c48e01944ed1be68e857b5cb34c0547b51ca465bac0a361
DIST psycopg-3.2.0.gh.tar.gz 549161 BLAKE2B 33997b5ee2f4f814561f83f92e9db4b61664f0ac84f6ff3bfd057d1cf9039a5e169478c8f40deb97e07433cf1481bfa7f4f79765158ec968ff6ab74b5aa6d14e SHA512 4466390a33f55eca73e1d490aca98ad7bb0e4c55b166d8956e1c940f5ea71c7cb07ba5602276f7510b2368d6c0c0e6eacac8d4ae67f465fd07afc4c75283f3c1
DIST psycopg-3.2.1.gh.tar.gz 549277 BLAKE2B badea79ca48b99ae363ffa1d04de922add9456662e0909a2761f61f1a5d03e2afc01ee188814495029551d9521aff95caa7ef3123d96dfcfbb3c0d0a14597e3c SHA512 ecaeee67493ce849a2d7477d0373061ab3b329d228e3c0dd482d7ee8c7eea07c59127db2e6afc0233a78f073306d4adef915aba5f3fc6378c0335c3155350294
+DIST psycopg-3.2.2.gh.tar.gz 550226 BLAKE2B 2731190da5b044f16eb0f90fb5417244e46fc0906dde6ee9bd1ee4d91613f59ef1943da6662ad1f3db1487b8cc2b4ccb4e0a79ecc056a8f72c7e2b7b70e39abd SHA512 48686101c9d568003ffbf90cf07bc4496fb161f599b60a2b2df41ac120f338bee7edbeae3786071969d6bbb9acdbe868fa568b9cfa3b7a17dec2d47e5d54f002
DIST psycopg2-2.9.4.tar.gz 384017 BLAKE2B 4bc0afcc890c8a257c1ccd5c6e4e5301857a80f8b1428aa46c1473c9e18f5d2914a2e592c13336b06106217bb334d9b0321835bdd123f1627cbeb29dedf97bf7 SHA512 259088e42e0ab0d8a1a0ccf04f5e560f32c6179b4a0a0059e91bcf269baa8f4b0f1f949c332c640a2438c927a29b2c144078a861f8e18ba9c764da7c93c73b8d
DIST psycopg2-2.9.9.tar.gz 384926 BLAKE2B 8418fca1329703cedfc86be74d85cae5133a0604bb8a21fa43e5359a46626d38ef227d0cd8fbbeb497e2db517a469d7f3e86b74ef9163617a547e999073a6b4c SHA512 a691fd09762221e854861dedce37b05e5354e0701feea470a6d5046960056ef02a8c9ecfa751adeba485271ea7d5834643b7d3a3c3f3270087f5ed9c68509f5f
diff --git a/dev-python/psycopg/psycopg-3.2.2.ebuild b/dev-python/psycopg/psycopg-3.2.2.ebuild
new file mode 100644
index 000000000000..5a31a54c4974
--- /dev/null
+++ b/dev-python/psycopg/psycopg-3.2.2.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="PostgreSQL database adapter for Python"
+HOMEPAGE="
+ https://www.psycopg.org/psycopg3/
+ https://github.com/psycopg/psycopg/
+ https://pypi.org/project/psycopg/
+"
+SRC_URI="
+ https://github.com/psycopg/psycopg/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="+native-extensions"
+
+DEPEND="
+ native-extensions? (
+ >=dev-db/postgresql-8.1:=
+ )
+ !native-extensions? (
+ >=dev-db/postgresql-8.1:*
+ )
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/typing-extensions-4.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ native-extensions? (
+ dev-python/cython[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+ )
+ test? (
+ >=dev-db/postgresql-8.1[server]
+ >=dev-python/anyio-4.0[${PYTHON_USEDEP}]
+ >=dev-python/dnspython-2.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ # -Werror=strict-aliasing
+ # https://bugs.gentoo.org/935401
+ # https://github.com/psycopg/psycopg/issues/867
+ #
+ # Do not trust with LTO either.
+ append-flags -fno-strict-aliasing
+ filter-lto
+
+ # Python code + ctypes backend
+ cd psycopg || die
+ distutils-r1_python_compile
+
+ # optional C backend
+ if use native-extensions && [[ ${EPYTHON} != pypy3 ]]; then
+ local DISTUTILS_USE_PEP517=standalone
+ cd ../psycopg_c || die
+ distutils-r1_python_compile
+ fi
+ cd .. || die
+}
+
+src_test() {
+ rm -r psycopg{,_c} || die
+
+ initdb -D "${T}"/pgsql || die
+ # TODO: random port
+ pg_ctl -w -D "${T}"/pgsql start \
+ -o "-h '' -k '${T}'" || die
+ createdb -h "${T}" test || die
+
+ local -x PSYCOPG_TEST_DSN="host=${T} dbname=test"
+ distutils-r1_src_test
+
+ pg_ctl -w -D "${T}"/pgsql stop || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # tests for the psycopg_pool package
+ tests/pool
+ # some broken mypy magic
+ tests/test_module.py::test_version
+ tests/test_module.py::test_version_c
+ tests/test_typing.py
+ tests/crdb/test_typing.py
+ # TODO, relying on undefined ordering in Python?
+ tests/test_dns_srv.py::test_srv
+ )
+
+ local impls=( python )
+ if use native-extensions && [[ ${EPYTHON} != pypy3 ]]; then
+ impls+=( c )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PSYCOPG_IMPL
+ for PSYCOPG_IMPL in "${impls[@]}"; do
+ einfo "Testing with ${PSYCOPG_IMPL} implementation ..."
+ # leak and timing tests are fragile whereas slow tests are slow
+ epytest -p anyio -k "not leak" \
+ -m "not timing and not slow and not flakey"
+ done
+}
diff --git a/dev-python/pypiserver/Manifest b/dev-python/pypiserver/Manifest
index 240b9ba1ca91..0a10a646fe9c 100644
--- a/dev-python/pypiserver/Manifest
+++ b/dev-python/pypiserver/Manifest
@@ -1 +1,2 @@
DIST pypiserver-2.1.1.gh.tar.gz 157393 BLAKE2B e80c73b2422dc87bba09d8c9c2e1ffc72017ec58c5530d3debb95560b50a776e1603cb5641c7e4af1ed87d64750843ae025a6a47ab4cc28ce0de1051dd5b214f SHA512 d85afb0d2c85c76a62e393d7d7824e91ff052a04e985278db48010b6f71d12c7749139245e69932b78aefbf3152ba8a8b463bfcd21d1772d047d64f0b164681a
+DIST pypiserver-2.2.0.gh.tar.gz 158107 BLAKE2B 8c5e68201a4d376bc04ca8a5dc243c8c176f6a1bfd362fd5b0eb2875ca071cd124d15814312c2c14ded57c8476f72d41ccf1057eced2247d17f1cc6b7b12e86c SHA512 e1c313b52c852b90ee3efe07b754d91ac842483718fe30f0c59951aad9aa84bc36c9264956fd931a98aaad5ee151089a06472f19e4ae5e9eb1d20c72cc98f436
diff --git a/dev-python/pypiserver/pypiserver-2.2.0.ebuild b/dev-python/pypiserver/pypiserver-2.2.0.ebuild
new file mode 100644
index 000000000000..43359260b517
--- /dev/null
+++ b/dev-python/pypiserver/pypiserver-2.2.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Minimal PyPI server"
+HOMEPAGE="
+ https://github.com/pypiserver/pypiserver/
+ https://pypi.org/project/pypiserver/
+"
+SRC_URI="
+ https://github.com/pypiserver/pypiserver/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ <dev-python/bottle-0.13[${PYTHON_USEDEP}]
+ >=dev-python/packaging-23.2[${PYTHON_USEDEP}]
+ >=dev-python/pip-7[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib-resources[${PYTHON_USEDEP}]
+ ' 3.{10..11})
+"
+# NB: many test deps are optional/specific to tests we skip
+BDEPEND="
+ dev-python/setuptools-git[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/build-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/passlib-1.6[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/webtest[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( CHANGES.rst README.md )
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.5.0-unbundle-bottle.patch"
+)
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # remove bundled bottle (sic!)
+ rm pypiserver/bottle.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/test_server.py::test_hash_algos
+ tests/test_server.py::test_pip_install_open_succeeds
+ tests/test_server.py::test_pip_install_authed_succeeds
+ # seems to rely on internal bottle details
+ tests/test_main.py::test_auto_servers
+ )
+
+ if ! has_version "dev-python/twine[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/test_server.py::test_twine_upload
+ tests/test_server.py::test_twine_register
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests
+}
diff --git a/dev-python/pysol-cards/Manifest b/dev-python/pysol-cards/Manifest
index ebbf07a7b21f..09bb93b07675 100644
--- a/dev-python/pysol-cards/Manifest
+++ b/dev-python/pysol-cards/Manifest
@@ -1 +1,2 @@
DIST pysol_cards-0.16.0.tar.gz 18987 BLAKE2B 5f4174462aaadd75b325a6c3e7e16bcc8e9694bb2e9a45eab3caa325959b1870531b71332728851bcbffba8f5a2022ae0a5b2fd81b75212a77e3fce8177d128f SHA512 728e76017cab27b5e67ed234951bff0608285caf1a79ab5f60a72d58530f4107fdb28749c4a2b4744830ecabaade1f413ad657149afa6aee8cb792b5dbcc8bce
+DIST pysol_cards-0.18.0.tar.gz 18103 BLAKE2B a74af33d566255f40234f3f22f8232c3bc60438a27fbd8144d85da7984d660616ac19474036a29ddc361afd4b61b2ca8835331729fdd0cb8fb312ae3e990dbf5 SHA512 baf2a5db425d1e687a336f8dd7b15b25be82e8dbb4c02f00f882fdb915fcf81c03ad1f39d22d5177b1429cc709baa47463cab39c55576df135534f5f87f31665
diff --git a/dev-python/pysol-cards/pysol-cards-0.18.0.ebuild b/dev-python/pysol-cards/pysol-cards-0.18.0.ebuild
new file mode 100644
index 000000000000..79fc482cb2fd
--- /dev/null
+++ b/dev-python/pysol-cards/pysol-cards-0.18.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Deal PySol FreeCell cards"
+HOMEPAGE="
+ https://github.com/shlomif/pysol_cards/
+ https://pypi.org/project/pysol-cards/
+"
+
+LICENSE="Apache-2.0 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
+
+distutils_enable_tests unittest
+
+python_test() {
+ eunittest -s tests
+}
diff --git a/dev-python/pysubs2/Manifest b/dev-python/pysubs2/Manifest
index abc8b7a0881c..c40c8b9c1ac1 100644
--- a/dev-python/pysubs2/Manifest
+++ b/dev-python/pysubs2/Manifest
@@ -1 +1,2 @@
DIST pysubs2-1.7.2.tar.gz 1123677 BLAKE2B 771e05b41eb9da3f18ce932988b7cdd60d461e49cb9a9f03129dd5104a7e1161c8fae898169d737652c7dd596fe3f92d93ba3a6ed082090b9a8d8825cc033f06 SHA512 5732cbd5bfdaeb1c680b4107304d4b94e1e0c7cc43483a71581da03b7be840fcf95bae8d2b5691b8c88ee59f34e6f587033266e24014778f71393b4c78bb08bf
+DIST pysubs2-1.7.3.tar.gz 1123849 BLAKE2B fd630ca7e4bf2d84d65a2ed2f143c6c1cc333ae6994f7c89a86db2f92c5736e70e488115ccd17cea84dedaa057b8d808bf2fcfdedbb3de0781341ac632a12235 SHA512 5ba9675121490628b0df86e0fd46f67c783d7494e59d37e52be49593b292104756d03368cea19d238c503ee8c05ccf5c257723dd5f570af0bcae5cd53243f62a
diff --git a/dev-python/pysubs2/pysubs2-1.7.3.ebuild b/dev-python/pysubs2/pysubs2-1.7.3.ebuild
new file mode 100644
index 000000000000..a4163481c7ac
--- /dev/null
+++ b/dev-python/pysubs2/pysubs2-1.7.3.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python library for editing subtitle files"
+HOMEPAGE="
+ https://github.com/tkarabela/pysubs2
+ https://pypi.org/project/pysubs2/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+distutils_enable_tests pytest
diff --git a/dev-python/python-tests/python-tests-3.10.15.ebuild b/dev-python/python-tests/python-tests-3.10.15.ebuild
index 8759d7a27c16..eeb22f9aa0c6 100644
--- a/dev-python/python-tests/python-tests-3.10.15.ebuild
+++ b/dev-python/python-tests/python-tests-3.10.15.ebuild
@@ -28,7 +28,7 @@ S="${WORKDIR}/${MY_P}/Lib"
LICENSE="PSF-2"
SLOT="${PYVER}"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="
diff --git a/dev-python/python-tests/python-tests-3.11.10.ebuild b/dev-python/python-tests/python-tests-3.11.10.ebuild
index ceee504594d3..2cb110eb88d3 100644
--- a/dev-python/python-tests/python-tests-3.11.10.ebuild
+++ b/dev-python/python-tests/python-tests-3.11.10.ebuild
@@ -28,7 +28,7 @@ S="${WORKDIR}/${MY_P}/Lib"
LICENSE="PSF-2"
SLOT="${PYVER}"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="
diff --git a/dev-python/python-tests/python-tests-3.12.6.ebuild b/dev-python/python-tests/python-tests-3.12.6.ebuild
index 76f7e353e1f5..9bd3e65b88f7 100644
--- a/dev-python/python-tests/python-tests-3.12.6.ebuild
+++ b/dev-python/python-tests/python-tests-3.12.6.ebuild
@@ -28,7 +28,7 @@ S="${WORKDIR}/${MY_P}/Lib"
LICENSE="PSF-2"
SLOT="${PYVER}"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ~ppc64 ~riscv ~s390 ~sparc x86"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="
diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index a12a4d6a276e..3a76820ee22a 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -1,2 +1,4 @@
DIST setuptools-73.0.1.tar.gz 2526506 BLAKE2B 766453a7f6f3e34bdc63628b8c0321730c66381cc6048d01fbf9dbf76eb9900cd5cfa6dbd7c55c95ada3e01065d43bf7cd9029793e0735cae989b3cb1b95287c SHA512 5def2d817329524e610c7981fc3a84687ea4d2e0a72799341a706a16ec61df3efc16c4622f8b88746ad4cb52f92f2493c23a99a21cf3607ed48da480dedd200b
DIST setuptools-74.1.2.tar.gz 1356467 BLAKE2B bc625e323f94ba9166f2c9747610d71c0ef7ad2a07f6b3e0cedabcbac67bba6d05679a7bce3c3e761807727c10e111801d486c01f3cdb7e22ca4324370c2cfb9 SHA512 581cc51bf70fe378ca8dcdb2cbed6056de4c335c7e997ed126cc707a84c52571dfa0379f34e2f8bebf50ab27f4c20c718dd854f1378e3c6d4cf75a094e57a77c
+DIST setuptools-74.1.3.tar.gz 1356471 BLAKE2B c59476710f10aae77f8b466ce2b072966a889b13c3e2e2a9524497ce43893bcd296412f8e0be8a3ccaa9be46b429680c11fe291095a65a185243701fa667be6c SHA512 7892d1ff0a1cd90f6cd367536392bf2933d354eb61d5177a01218b253bc254b51e74c040601adf35aff1652f1e1c6dbffca3cdce3f4fc32b8bd23c36cd885ddc
+DIST setuptools-75.0.0.tar.gz 1347819 BLAKE2B db2745fecb86a0747acab21371ea0714b2c97694490f3e71bb59a51d05b782af60f044cbb9ad29c4798644cd986119d98592ae857ccfd9b3a3fc98199291568b SHA512 78955967c23450822a154db99f9a4cb5d45bfb2fe42797ea39c784e23004172d75fbbba6a6b89fa8c0d63c6b9ffb45e791e48b3d8201cfffc84bd75769cd02ef
diff --git a/dev-python/setuptools/setuptools-74.1.3.ebuild b/dev-python/setuptools/setuptools-74.1.3.ebuild
new file mode 100644
index 000000000000..891cf80f54ac
--- /dev/null
+++ b/dev-python/setuptools/setuptools-74.1.3.ebuild
@@ -0,0 +1,126 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+# please bump dev-python/ensurepip-setuptools along with this package!
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( python3_{8,9,10,11,12} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="
+ https://github.com/pypa/setuptools/
+ https://pypi.org/project/setuptools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ !!<dev-python/setuptools-rust-1.8.0
+ >=dev-python/jaraco-text-3.7.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-8.12.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/packaging-24[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.6.2-r1[${PYTHON_USEDEP}]
+ >=dev-python/wheel-0.44.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ ' 3.10)
+ !!<=dev-libs/gobject-introspection-1.76.1-r0
+ !!=dev-libs/gobject-introspection-1.78.1-r0
+ !!=dev-libs/gobject-introspection-1.80.1-r1
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/build-1.0.3[${PYTHON_USEDEP}]
+ >=dev-python/ini2toml-0.14[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-envs-2.2[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-path-3.2.0[${PYTHON_USEDEP}]
+ dev-python/jaraco-test[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/pip-run[${PYTHON_USEDEP}]
+ dev-python/pyproject-hooks[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ >=dev-python/pytest-home-0.5[${PYTHON_USEDEP}]
+ dev-python/pytest-subprocess[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/tomli-w-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20[${PYTHON_USEDEP}]
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+# setuptools-scm is here because installing plugins apparently breaks stuff at
+# runtime, so let's pull it early. See bug #663324.
+#
+# trove-classifiers are optionally used in validation, if they are
+# installed. Since we really oughtn't block them, let's always enforce
+# the newest version for the time being to avoid errors.
+# https://github.com/pypa/setuptools/issues/4459
+PDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ >=dev-python/trove-classifiers-2024.7.2[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ local PATCHES=(
+ # TODO: remove this when we're 100% PEP517 mode
+ "${FILESDIR}/setuptools-62.4.0-py-compile.patch"
+ )
+
+ distutils-r1_src_prepare
+
+ # breaks tests
+ sed -i -e '/--import-mode/d' pytest.ini || die
+
+ # remove bundled dependencies
+ rm -r */_vendor || die
+}
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # network
+ setuptools/tests/test_build_meta.py::test_legacy_editable_install
+ setuptools/tests/test_distutils_adoption.py
+ setuptools/tests/test_editable_install.py
+ setuptools/tests/test_virtualenv.py::test_no_missing_dependencies
+ setuptools/tests/test_virtualenv.py::test_test_command_install_requirements
+ # TODO
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_basic
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_ignore_errors
+ # expects bundled deps in virtualenv
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_in_sdist
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_not_in_wheel
+ # fails if python-xlib is installed
+ setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_allow_hosts
+ # TODO, probably some random package
+ setuptools/tests/config/test_setupcfg.py::TestOptions::test_cmdclass
+ # broken by unbundling
+ setuptools/tests/test_setuptools.py::test_wheel_includes_vendored_metadata
+ # fails on normalized metadata, perhaps different dep version?
+ setuptools/tests/test_build_meta.py::TestBuildMetaBackend::test_build_with_pyproject_config
+ # TODO
+ setuptools/tests/test_sdist.py::test_sanity_check_setuptools_own_sdist
+ )
+
+ local EPYTEST_XDIST=1
+ local -x PRE_BUILT_SETUPTOOLS_WHEEL=${DISTUTILS_WHEEL_PATH}
+ epytest -o tmp_path_retention_policy=all \
+ -m "not uses_network" setuptools
+}
diff --git a/dev-python/setuptools/setuptools-75.0.0.ebuild b/dev-python/setuptools/setuptools-75.0.0.ebuild
new file mode 100644
index 000000000000..0f3d10775be2
--- /dev/null
+++ b/dev-python/setuptools/setuptools-75.0.0.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+# please bump dev-python/ensurepip-setuptools along with this package!
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( python3_{8,9,10,11,12} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="
+ https://github.com/pypa/setuptools/
+ https://pypi.org/project/setuptools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ !!<dev-python/setuptools-rust-1.8.0
+ dev-python/jaraco-collections[${PYTHON_USEDEP}]
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-text-3.7.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-8.12.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/packaging-24[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.6.2-r1[${PYTHON_USEDEP}]
+ >=dev-python/wheel-0.44.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ ' 3.10)
+ !!<=dev-libs/gobject-introspection-1.76.1-r0
+ !!=dev-libs/gobject-introspection-1.78.1-r0
+ !!=dev-libs/gobject-introspection-1.80.1-r1
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/build-1.0.3[${PYTHON_USEDEP}]
+ >=dev-python/ini2toml-0.14[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-envs-2.2[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-path-3.2.0[${PYTHON_USEDEP}]
+ dev-python/jaraco-test[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/pip-run[${PYTHON_USEDEP}]
+ dev-python/pyproject-hooks[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ >=dev-python/pytest-home-0.5[${PYTHON_USEDEP}]
+ dev-python/pytest-subprocess[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/tomli-w-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20[${PYTHON_USEDEP}]
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+# setuptools-scm is here because installing plugins apparently breaks stuff at
+# runtime, so let's pull it early. See bug #663324.
+#
+# trove-classifiers are optionally used in validation, if they are
+# installed. Since we really oughtn't block them, let's always enforce
+# the newest version for the time being to avoid errors.
+# https://github.com/pypa/setuptools/issues/4459
+PDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ >=dev-python/trove-classifiers-2024.7.2[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ local PATCHES=(
+ # TODO: remove this when we're 100% PEP517 mode
+ "${FILESDIR}/setuptools-62.4.0-py-compile.patch"
+ )
+
+ distutils-r1_src_prepare
+
+ # breaks tests
+ sed -i -e '/--import-mode/d' pytest.ini || die
+
+ # remove bundled dependencies
+ rm -r */_vendor || die
+}
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # network
+ setuptools/tests/test_build_meta.py::test_legacy_editable_install
+ setuptools/tests/test_distutils_adoption.py
+ setuptools/tests/test_editable_install.py
+ setuptools/tests/test_virtualenv.py::test_no_missing_dependencies
+ setuptools/tests/test_virtualenv.py::test_test_command_install_requirements
+ # TODO
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_basic
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_ignore_errors
+ # expects bundled deps in virtualenv
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_in_sdist
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_not_in_wheel
+ # fails if python-xlib is installed
+ setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_allow_hosts
+ # TODO, probably some random package
+ setuptools/tests/config/test_setupcfg.py::TestOptions::test_cmdclass
+ # broken by unbundling
+ setuptools/tests/test_setuptools.py::test_wheel_includes_vendored_metadata
+ # fails on normalized metadata, perhaps different dep version?
+ setuptools/tests/test_build_meta.py::TestBuildMetaBackend::test_build_with_pyproject_config
+ # TODO
+ setuptools/tests/test_sdist.py::test_sanity_check_setuptools_own_sdist
+ )
+
+ local EPYTEST_XDIST=1
+ local -x PRE_BUILT_SETUPTOOLS_WHEEL=${DISTUTILS_WHEEL_PATH}
+ epytest -o tmp_path_retention_policy=all \
+ -m "not uses_network" setuptools
+}